syncope-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF subversion and git services (Jira)" <j...@apache.org>
Subject [jira] [Commented] (SYNCOPE-1484) syncope-ide-netbeans submodule fails to find netbeans dependency
Date Tue, 03 Sep 2019 11:45:00 GMT

    [ https://issues.apache.org/jira/browse/SYNCOPE-1484?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16921360#comment-16921360
] 

ASF subversion and git services commented on SYNCOPE-1484:
----------------------------------------------------------

Commit 7e25619982861473d32ddb111da7fd21769c02b2 in syncope's branch refs/heads/2_0_X from
Francesco Chicchiriccò
[ https://gitbox.apache.org/repos/asf?p=syncope.git;h=7e25619 ]

[SYNCOPE-1484] Cherry-pick ac69701ffa8de228575349c28396f6113849ffeb - thanks mmoayyed


> syncope-ide-netbeans submodule fails to find netbeans dependency
> ----------------------------------------------------------------
>
>                 Key: SYNCOPE-1484
>                 URL: https://issues.apache.org/jira/browse/SYNCOPE-1484
>             Project: Syncope
>          Issue Type: Bug
>          Components: build-tools
>    Affects Versions: 3.0.0
>            Reporter: Misagh Moayyed
>            Assignee: Francesco Chicchiriccò
>            Priority: Minor
>             Fix For: 2.0.14, 2.1.5, 3.0.0
>
>          Time Spent: 20m
>  Remaining Estimate: 0h
>
> - Fresh clone of the master branch
>  - Switch to JDK 11
>  
> {code:java}
> java version "11" 2018-09-25 
> Java(TM) SE Runtime Environment 18.9 (build 11+28) 
> Java HotSpot(TM) 64-Bit Server VM 18.9 (build 11+28, mixed mode){code}
>  
> Use Apache Maven 3.6.1 
> {code:java}
> Apache Maven 3.6.1 (d66c9c0b3152b2e69ee9bac180bb8fcc8e6af555; 2019-04-04T23:30:29+04:30){code}
> Run:
> {code:java}
> mvn clean install{code}
> See below:
> {code:java}
> [ERROR] Failed to execute goal on project syncope-ide-netbeans: Could not resolve dependencies
for project org.apache.syncope.ide:syncope-ide-netbeans:nbm:3.0.0-SNAPSHOT: Failed to collect
dependencies at org.netbeans.api:org-netbeans-api-annotations-common:jar:RELEASE82: Failed
to read artifact descriptor for org.netbeans.api:org-netbeans-api-annotations-common:jar:RELEASE82:
Could not transfer artifact org.netbeans.api:org-netbeans-api-annotations-common:pom:RELEASE82
from/to netbeans (http://bits.netbeans.org/maven2/): Failed to transfer file http://bits.netbeans.org/maven2/org/netbeans/api/org-netbeans-api-annotations-common/RELEASE82/org-netbeans-api-annotations-common-RELEASE82.pom
with status code 502
> {code}
> Maven Central has no dependency for version RELEASE82; possibility outdated or removed.
> Coordinates here show that the current available release version is RELEASE111, which
does allow for a full and successful build:
> [https://search.maven.org/search?q=g:org.netbeans.api%20AND%20a:org-netbeans-api-annotations-common&core=gav]
>  



--
This message was sent by Atlassian Jira
(v8.3.2#803003)

Mime
View raw message